Bug 127672 - icons on my desktop are not aligning
Summary: icons on my desktop are not aligning
Status: CLOSED FIXED
Alias: None
Product: kdesktop
Classification: Miscellaneous
Component: icons (show other bugs)
Version: unspecified
Platform: Gentoo Packages Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: Benoit Walter
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2006-05-19 18:56 UTC by Chipster
Modified: 2009-01-02 20:32 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Chipster 2006-05-19 18:56:15 UTC
Version:            (using KDE KDE 3.5.2)
Installed from:    Gentoo Packages
Compiler:          gcc-3.4.5 CFLAGS="-O2 -march=athlon-xp -pipe -fomit-frame-pointer"
OS:                Linux

kde-3.5.2 on gentoo

I compiling kde and no problem since 3 weeks but now, (i don't know what happen) my icons desktop don't align but box on configurated menu notch.
Comment 1 Chris Howells 2006-05-30 01:19:09 UTC
What does "box on configurated menu notch" mean?
Comment 2 Dirk Mueller 2006-06-23 02:14:33 UTC
SVN commit 554047 by mueller:

fix align-to-grid option which regressed due to the startup performance
patches. 
BUG: 122001
BUG: 127672
BUG: 114766
BUG: 117952


 M  +9 -0      desktop.cc  


--- branches/KDE/3.5/kdebase/kdesktop/desktop.cc #554046:554047
@@ -735,6 +735,15 @@
     // hurra! kicker is alive
     if ( m_waitForKicker ) m_waitForKicker->stop();
 
+    // -2: all screens
+    // -1: primary screen
+    // else: screen number
+
+    if (screen <= -2)
+       screen = kdesktop_screen_number;
+    else if (screen == -1)
+       screen = kapp->desktop()->primaryScreen();
+
     if ( (screen == kdesktop_screen_number) && m_pIconView )
         m_pIconView->updateWorkArea(area);
 }
Comment 3 FiNeX 2009-01-02 20:32:36 UTC
Bug closed. Kdesktop is no more mantained.